#include<iostream>
using namespace std;
int main(){
    int n,k,f[1001][1001]={0};
    cin>>n>>k;
    for(int i=1;i<=n;i++){
        int x1,y1,x2,y2;
        cin>>x1>>y1>>x2>>y2;
        f[x1][y1]=1;
        
    }
}